/**Begin D:\PDM_UPGRADE\PDM1\FA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FA_RPT_MEDIATE') 
 CREATE TABLE T_FA_RPT_MEDIATE (
FID BIGINT DEFAULT 0 NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FSOURCETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FACCOUNTINGDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDEPREUSEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FREALCARDID BIGINT DEFAULT 0 NOT NULL,
FASSETCATID BIGINT DEFAULT 0 NOT NULL,
FSOURCEFLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCHANGEMODEID BIGINT DEFAULT 0 NOT NULL,
FORIGINALVALCHG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADDUPDEPRECHG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECVALCHG DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FASSETNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FFINCARDID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\FA_table.sql **/
